/*!
 * \file Version.h
 * \brief Defines versioning functions and macros.
 * \author Joe Forte
 * \date 8/5/2009
 *
 * NOTE: The version file is automatically updated by an external script.
 */

#ifndef VERSION_H
#define VERSION_H

/*!
 * \brief The major version an int.
 */
#define MAJOR_VERSION_INT 1

/*!
 * \brief The minor version an int.
 */
#define MINOR_VERSION_INT 0

/*!
 * \brief The current number as an int.
 */
#define BUILD_NUMBER_INT 582

/*!
 * \brief The subversion revision number as a c-string.
 */
#define SVN_REVISION_CSTR "385"

/*!
 * \brief The subversion revision number as an int.
 */
#define SVN_REVISION_INT 385

/*!
 * \brief The build time as a c-string.
 */
#define BUILD_TIME_CSTR "April 05 2010 06:28:19 PM"

/*!
 * \brief The compact form of the build time as a c-string.
 */
#define BUILD_TIME_COMPACT_CSTR "04052010182819"

/*!
 * \brief The version type.
 */
#define VERSION_TYPE_CSTR "Release"

/*!
 * \brief The full version string.
 */
#define VERSION_CSTR "v1.0.385 build 582 Release"

#endif